## GrssFeedsGroupHandler GrssFeedsGroupHandler |

## Functions

#define | FEEDS_GROUP_HANDLER()
#define | FEEDS_GROUP_HANDLER_GET_INTERFACE()
const gchar * | grss_feeds_group_handler_get_name ()
gboolean | grss_feeds_group_handler_check_format ()
GList * | grss_feeds_group_handler_parse ()
gchar * | grss_feeds_group_handler_dump ()

## Types and Values

#define | FEEDS_GROUP_HANDLER_TYPE
struct | GrssFeedsGroupHandlerInterface

## Object Hierarchy

        GInterface
        ╰── GrssFeedsGroupHandler

## Description

## Functions

### FEEDS_GROUP_HANDLER()

    #define FEEDS_GROUP_HANDLER(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), FEEDS_GROUP_HANDLER_TYPE, GrssFeedsGroupHandler))

### FEEDS_GROUP_HANDLER_GET_INTERFACE()

    #define FEEDS_GROUP_HANDLER_GET_INTERFACE(inst) (G_TYPE_INSTANCE_GET_INTERFACE ((inst), FEEDS_GROUP_HANDLER_TYPE, GrssFeedsGroupHandlerInterface))

### grss_feeds_group_handler_get_name ()

    const gchar *
    grss_feeds_group_handler_get_name (GrssFeedsGroupHandler *self);

### grss_feeds_group_handler_check_format ()

    gboolean
    grss_feeds_group_handler_check_format (GrssFeedsGroupHandler *self,
                                           xmlDocPtr doc,
                                           xmlNodePtr cur);

### grss_feeds_group_handler_parse ()

    GList *
    grss_feeds_group_handler_parse (GrssFeedsGroupHandler *self,
                                    xmlDocPtr doc,
                                    GError **error);

### grss_feeds_group_handler_dump ()

    gchar *
    grss_feeds_group_handler_dump (GrssFeedsGroupHandler *self,
                                   GList *channels,
                                   GError **error);

## Types and Values

### FEEDS_GROUP_HANDLER_TYPE

    #define FEEDS_GROUP_HANDLER_TYPE		(grss_feeds_group_handler_get_type ())

### struct GrssFeedsGroupHandlerInterface

    struct GrssFeedsGroupHandlerInterface {
    	GTypeInterface parent_iface;

    	const gchar* (*get_name) (GrssFeedsGroupHandler *self);
    	gboolean (*check_format) (GrssFeedsGroupHandler *self, xmlDocPtr doc, xmlNodePtr cur);
    	GList* (*parse) (GrssFeedsGroupHandler *self, xmlDocPtr doc, GError **error);
    	gchar* (*dump) (GrssFeedsGroupHandler *self, GList *channels, GError **error);
    };